transition to libgif

Bug #174252 reported by Jonathan Riddell on 2007-12-05
50
Affects Status Importance Assigned to Milestone
Debian
Fix Released
Unknown
afterstep (Ubuntu)
Undecided
Stephan Ruegamer
aterm (Ubuntu)
Undecided
Stephan Ruegamer
camlimages (Ubuntu)
Undecided
Stephan Ruegamer
cheops-ng (Ubuntu)
Undecided
Unassigned
driftnet (Ubuntu)
Undecided
Stephan Ruegamer
emacs-snapshot (Ubuntu)
Undecided
Stephan Ruegamer
emacs21 (Ubuntu)
Undecided
Stephan Ruegamer
emacs22 (Ubuntu)
Undecided
Unassigned
fbi (Ubuntu)
Undecided
Unassigned
fontforge (Ubuntu)
Undecided
Martin Pitt
fsviewer (Ubuntu)
Undecided
Unassigned
gdal (Ubuntu)
Undecided
Stephan Ruegamer
gnome-libs (Ubuntu)
Undecided
Unassigned
gnucash (Ubuntu)
Undecided
Unassigned
gnustep-gui (Ubuntu)
Undecided
Stephan Ruegamer
icewm (Ubuntu)
Undecided
Unassigned
imlib (Ubuntu)
Undecided
Unassigned
imlib2 (Ubuntu)
Undecided
Unassigned
kaffe (Ubuntu)
Undecided
Unassigned
kdebase-kde4 (Ubuntu)
Undecided
Unassigned
kdepim-kde4 (Ubuntu)
Low
Richard Johnson
ktoon (Ubuntu)
Undecided
Unassigned
libgdiplus (Ubuntu)
Undecided
Unassigned
libimager-perl (Ubuntu)
Undecided
Stephan Ruegamer
libming (Ubuntu)
Undecided
Unassigned
libungif4 (Ubuntu)
Undecided
Unassigned
metapixel (Ubuntu)
Undecided
Unassigned
mgp (Ubuntu)
Undecided
Unassigned
ming (Ubuntu)
Undecided
Unassigned
motioneye (Ubuntu)
Undecided
Siegfried Gevatter
mozart-gtk (Ubuntu)
Undecided
Stephan Ruegamer
mplayer (Ubuntu)
Undecided
Unassigned
mtpaint (Ubuntu)
Undecided
Unassigned
openscenegraph (Ubuntu)
Undecided
Unassigned
paintlib (Ubuntu)
Undecided
Unassigned
paul (Ubuntu)
Undecided
Unassigned
pgplot5 (Ubuntu)
Undecided
Stephan Ruegamer
pslib (Ubuntu)
Undecided
Stephan Ruegamer
simage (Ubuntu)
Undecided
Unassigned
spamprobe (Ubuntu)
Undecided
Unassigned
swftools (Ubuntu)
Undecided
Unassigned
ted (Ubuntu)
Undecided
Unassigned
wdm (Ubuntu)
Undecided
Unassigned
wmaker (Ubuntu)
Undecided
Stephan Ruegamer
xkbsel (Ubuntu)
Undecided
Unassigned
xplanet (Ubuntu)
Undecided
Unassigned
Jonathan Riddell (jr) wrote :

moved out of main rather, possible removed from the archive

Martin Pitt (pitti) wrote :

giflib promoted to main. Now the following packages need to be rebuilt against it:
emacs22
fontforge
libgdiplus
libimlib2

After that happened, libungif4 can be demoted. Universe has some 30 reverse dependencies, too, so for entirely removing libungif4 there need to be more rebuilds.

Changed in libungif4:
milestone: none → ubuntu-8.04-beta
status: New → In Progress

All new kde4-packages depend on libungif4

Andreas Simon (andreas-w-simon) wrote :

I would be a good idea to rebuild all packages depending on libungif4 for universe too. Otherwise users will not be able to install various packages because libungif4 and libgif4 cannot be installed side by side.

Che Guevara (che-guevara-3) wrote :

Debdiff for fontforge

Changed in fontforge:
status: New → Confirmed
Changed in kdebase-kde4:
status: New → Confirmed
Che Guevara (che-guevara-3) wrote :

Debdiff for libgdiplus

Changed in libgdiplus:
status: New → Confirmed
Changed in imlib2:
status: New → Confirmed
Che Guevara (che-guevara-3) wrote :

Debdiff for emacs22, this should be all the main packages done. All compile tested.

Changed in emacs22:
status: New → Confirmed
Che Guevara (che-guevara-3) wrote :

Sorry, re uploading the diffs again, forgot to reference this bug

Che Guevara (che-guevara-3) wrote :
Che Guevara (che-guevara-3) wrote :
Che Guevara (che-guevara-3) wrote :
Daniel Hahler (blueyed) wrote :
Daniel Hahler (blueyed) wrote :
Che Guevara (che-guevara-3) wrote :
Changed in mplayer:
status: New → Confirmed
Che Guevara (che-guevara-3) wrote :
Changed in imlib:
status: New → Confirmed
Changed in paul:
status: New → Confirmed
Changed in xplanet:
status: New → Confirmed
Che Guevara (che-guevara-3) wrote :
Changed in swftools:
status: New → Confirmed
Che Guevara (che-guevara-3) wrote :
Changed in spamprobe:
status: New → Confirmed
Che Guevara (che-guevara-3) wrote :

cheops-ng

Changed in cheops-ng:
status: New → Confirmed
Che Guevara (che-guevara-3) wrote :

fbi

Changed in fbi:
status: New → Confirmed

libgdiplus diff doesn't apply - looks like a newer version has been merged since.

Changed in imlib2:
status: Confirmed → Fix Released
Changed in libgdiplus:
status: Confirmed → Incomplete
Changed in fontforge:
status: Confirmed → Fix Released
Changed in fbi:
status: Confirmed → Fix Released
Changed in paul:
status: Confirmed → Fix Released
Changed in spamprobe:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package emacs22 - 22.1-0ubuntu9

---------------
emacs22 (22.1-0ubuntu9) hardy; urgency=low

  * Rebuild against libgif-dev instead of libungif4-dev (LP: #174252)

 -- Ilya Eremin <email address hidden> Fri, 21 Dec 2007 00:35:33 +0000

Changed in emacs22:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package imlib - 1.9.15-5ubuntu2

---------------
imlib (1.9.15-5ubuntu2) hardy; urgency=low

  * transition from libungif to giflib (LP: #174252)
    - debian/control: s/libungif4-dev/libgif-dev/g

 -- dAniel hAhler <email address hidden> Sat, 22 Dec 2007 03:02:35 +0100

Changed in imlib:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cheops-ng - 0.2.3-4.1ubuntu1

---------------
cheops-ng (0.2.3-4.1ubuntu1) hardy; urgency=low

  * Rebuild against libgif-dev instead of libungif4-dev (LP: #174252)
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Ilya Eremin <email address hidden> Wed, 26 Dec 2007 02:56:07 +0000

Changed in cheops-ng:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgdiplus - 1.2.6-1ubuntu2

---------------
libgdiplus (1.2.6-1ubuntu2) hardy; urgency=low

  * Rebuild against libgif-dev instead of libungif4-dev (LP: #174252)

 -- Ilya Eremin <email address hidden> Fri, 21 Dec 2007 00:53:34 +0000

Changed in libgdiplus:
status: Incomplete → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mplayer - 2:1.0~rc2-0ubuntu5

---------------
mplayer (2:1.0~rc2-0ubuntu5) hardy; urgency=low

  * Rebuild against libgif-dev instead of linungif4-dev (LP: #174252)

 -- Ilya Eremin <email address hidden> Sat, 22 Dec 2007 01:32:53 +0000

Changed in mplayer:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xplanet - 1.2.0-4ubuntu1

---------------
xplanet (1.2.0-4ubuntu1) hardy; urgency=low

  * Change libungif4-dev | giflib-dev to libgif-dev (LP: #174252)
  * Modify Maintainer value to match the DebianMaintainerField
    specification
  * Add a Homepage field to debian/control

 -- Ilya Eremin <email address hidden> Sat, 22 Dec 2007 02:38:53 +0000

Changed in xplanet:
status: Confirmed → Fix Released
Che Guevara (che-guevara-3) wrote :

paintlib

Changed in paintlib:
status: New → Confirmed
Che Guevara (che-guevara-3) wrote :
Changed in mtpaint:
status: New → Confirmed
Che Guevara (che-guevara-3) wrote :

mgp

Changed in mgp:
status: New → Confirmed
Changed in kdebase-kde4:
status: Confirmed → Fix Released
Che Guevara (che-guevara-3) wrote :

metapixel

Changed in metapixel:
status: New → Confirmed
Martin Pitt (pitti) wrote :

fontforge still depends on libungif4

Changed in fontforge:
assignee: nobody → pitti
status: Fix Released → Confirmed
Martin Pitt (pitti) wrote :

Ah, fontforge was dep-waiting on libspiro-dev. I reviewed libspiro and promoted it to main.

Changed in fontforge:
status: Confirmed → Fix Released
Martin Pitt (pitti) wrote :

fontforge built, I promoted libungif4 to universe. Would be great, of course, to rebuild the remaining universe packages against libgif, too, so that we can remove libungif4 entirely.

Stephan Ruegamer (sadig) wrote :

wine in hardy (new version 0.9.52) will fix this already...
problem is fontforge still...
also it needs an adjusted changelog...the last uploads were named build1 and build2 but introduced diffs against debian so it's an ubuntu change.

Thx,
\sh

Jonathan Riddell (jr) on 2008-01-05
Changed in swftools:
status: Confirmed → Fix Released
Daniel Hahler (blueyed) on 2008-01-05
Changed in ktoon:
assignee: nobody → blueyed
status: New → In Progress
Daniel Hahler (blueyed) on 2008-01-05
Changed in ming:
assignee: nobody → blueyed
status: New → In Progress
Daniel Hahler (blueyed) wrote :
Changed in ming:
assignee: blueyed → nobody
status: In Progress → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ming - 1:0.3.0-12ubuntu1

---------------
ming (1:0.3.0-12ubuntu1) hardy; urgency=low

  * transition from libungif to giflib (LP: #174252)
    - debian/control: s/libungif4-dev/libgif-dev/
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- dAniel hAhler <email address hidden> Sat, 05 Jan 2008 01:51:57 +0100

Changed in ming:
status: Triaged → Fix Released
Daniel Hahler (blueyed) wrote :

This fixes also bug 180470 (FTBFS)

Changed in ktoon:
assignee: blueyed → nobody
status: In Progress → Triaged
Rob Hughes (rob-robhughes) wrote :

Are you sure all the new kde4 packages depend on libungif? Trying to install it results in a huge list of kde4 (plus misc other) packages to be removed:

amor-kde4
ark-kde4
blinken-kde4
bovo-kde4
cervisia-kde4
dolphin-kde4
enlightenment
eterm
ffmpeg
gdk-imlib1
gdk-imlib11
gnome-bin
gnome-iconedit
gnome-libs-data
gtk-engines-qtpixmap
gwenview-kde4
imlib-base
imlib11
juk-kde4
k9copy
kalgebra-kde4
kalzium-kde4
kamera-kde4
kanagram-kde4
kappfinder-kde4
kapptemplate-kde4
kate-kde4
katomic-kde4
kbattleship-kde4
kblackbox-kde4
kbounce-kde4
kbruch-kde4
kbugbuster-kde4
kcachegrind-kde4
kcalc-kde4
kcharselect-kde4
kcolorchooser-kde4
kcron-kde4
kde4-core
kdeadmin-kde4
kdeartwork-kde4
kdeartwork-style-kde4
kdebase-bin-kde4
kdebase-kde4
kdebase-runtime
kdebase-runtime-bin-kde4
kdebase-workspace
kdebase-workspace-bin
kdebase-workspace-dev
kdegames-kde4
kdegraphics-kde4
kdemultimedia-kio-plugins-kde4
kdenetwork-filesharing-kde4
kdenetwork-kde4
kdepasswd-kde4
kdesdk-kde4
kdesdk-kio-plugins-kde4
kdesdk-strigi-plugins-kde4
kdessh-kde4
kdetoys-kde4
kdeutils-kde4
kdf-kde4
kdm-kde4
kfind-kde4
kfloppy-kde4
kfourinline-kde4
kget-kde4
kgoldrunner-kde4
kgpg-kde4
khelpcenter-kde4
kinfocenter-kde4
kiriki-kde4
kjots-kde4
kjumpingcube-kde4
klines-kde4
klipper-kde4
kmahjongg-kde4
kmilo-kde4
kmines-kde4
kmix-kde4
kmplot-kde4
knetwalk-kde4
knetworkconf-kde4
knewsticker-kde4
kolf-kde4
kolourpaint4-kde4
kompare-kde4
konqueror-kde4
konqueror-nsplugins-kde4
konquest-kde4
konsole-kde4
kopete-kde4
kpackage-kde4
kpat-kde4
kppp-kde4
krdc-kde4
kreversi-kde4
krfb-kde4
ksame-kde4
kscd-kde4
kscreensaver-kde4
kscreensaver-xsavers-kde4
kscreensaver-xsavers-webcollage-kde4
kshisen-kde4
ksnapshot-kde4
kspaceduel-kde4
ksquares-kde4
ksudoku-kde4
ksysguard-kde4
kteatime-kde4
ktimer-kde4
ktuberling-kde4
kuiviewer-kde4
kuser-kde4
kwalletmanager-kde4
kwikdisk-kde4
kwin-kde4
kworldclock-kde4
kwrite-kde4
libast2
libgif-dev
libgif4
libglade-gnome0
libgnome32
libgnomesupport0
libgnomeui32
libgnorba27
libimlib2
libimlib2-dev
libkcddb4-kde4
libkdeedu4-kde4
libkdegames4-kde4
libkonq5
libokularcore1-kde4
libplasma-dev
libplasma1
libzvt2
lisa-kde4
lskat-kde4
mencoder
mozilla-mplayer
mplayer
mplayer-fonts
multi-gnome-terminal
nethack-gnome
okular-kde4
powershell
soundkonverter
superkaramba-kde4
sweeper-kde4
systemsettings-kde4
umbrello-kde4

i've looked through a lot of these, but am not able to locate dependencies on either libgif4 or libungif4.

Che Guevara (che-guevara-3) wrote :

Yeah these packages need a no source change rebuild

armo (r-mo) wrote :

Hope it was right to add IceWM in here. Trying to install on hardy I get:

The following packages have unmet dependencies:
  icewm: Depends: libungif4g (>= 4.1.4) but it is not going to be installed
E: Broken packages

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ktoon - 0.8.1-3ubuntu1

---------------
ktoon (0.8.1-3ubuntu1) hardy; urgency=low

  * Fix build on unix (LP: #180470)
    - added debian/patches/80_fix_build_on_unix.dpatch
  * transition from libungif to giflib (LP: #174252)
    - debian/control: s/libungif4-dev/libgif-dev/
  * debian/control: Standards-Version 3.7.3
  * Drop debian/patches/20_libminghack:
    ming-config has moved to /usr/bin/ming-config
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- dAniel hAhler <email address hidden> Sat, 05 Jan 2008 16:18:37 +0100

Changed in ktoon:
status: Triaged → Fix Released
Jonathan Riddell (jr) wrote :

I've uploaded the packages which didn't need changes but there's still a bunch that need their build-deps changed and tested.

afterstep camlimages driftnet emacs21 emacs-snapshot gdal gnustep-gui libimager-perl openscenegraph pslib simage wmaker

Che Guevara (che-guevara-3) wrote :

I would appreciate if someone could finish those off, because I moved houses and currentely have no active internet connection. Sorry!

Stephan Ruegamer (sadig) wrote :

Rebuild Upload done By Riddell

Changed in icewm:
status: New → Fix Released
Stephan Ruegamer (sadig) wrote :

working on it...needs more then a liggif change...:( ftbfs because of missing bins...or wrong installation instruction..

Changed in afterstep:
assignee: nobody → shermann
status: New → Confirmed
Jonathan Riddell (jr) wrote :

icewm 1.2.33-1ubuntu2 installs fine. -kde4 packages will be rebuilt with the 4.0.0 upload this week.

Stephan Ruegamer (sadig) wrote :

This debdiff will fix all issues with afterstep and libgif transition.
I talked to the debian maintainer, and I'll send the patch to debian...

Please upload...
thx

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package afterstep - 2.2.7-1ubuntu1

---------------
afterstep (2.2.7-1ubuntu1) hardy; urgency=low

  * libungif4 -> libgif transition: (LP: #174252)
    + debian/control:
      - updated build-deps
      - updated Maintainerfield according to Ubuntu Maintainer Policy
    + debian/rules:
      - replaced --with-ungif to --with-gif
    + debian/patches/00_Makefile_and_configure.patch:
      - Adjusted the debian adds, replaced -lungif with -lgif in DEB_EXTRAFOO

 -- Stephan Hermann <email address hidden> Tue, 08 Jan 2008 10:10:14 +0100

Changed in afterstep:
status: Confirmed → Fix Released
Stephan Ruegamer (sadig) wrote :

Hi,

attached debdiff fix the libungif4 bugs...

regards,

\sh

Changed in emacs21:
assignee: nobody → shermann
status: New → Confirmed
Changed in camlimages:
status: New → Confirmed
Stephan Ruegamer (sadig) wrote :

Hi,

attached the debdiff with the changes for the transition

Stephan Ruegamer (sadig) on 2008-01-09
Changed in driftnet:
assignee: nobody → shermann
status: New → Confirmed
Changed in camlimages:
assignee: nobody → shermann
Stephan Ruegamer (sadig) wrote :

hi,

attached debdiff for the transition

Changed in gdal:
assignee: nobody → shermann
status: New → Confirmed
Stephan Ruegamer (sadig) wrote :

hi,

gdal debdiff for the transition

Changed in wmaker:
assignee: nobody → shermann
status: New → Confirmed
Stephan Ruegamer (sadig) on 2008-01-09
Changed in simage:
assignee: nobody → shermann
status: New → Confirmed
Stephan Ruegamer (sadig) wrote :

hi,

attached wmaker debdiff for the transition

Stephan Ruegamer (sadig) on 2008-01-09
Changed in emacs-snapshot:
status: New → Confirmed
Stephan Ruegamer (sadig) wrote :

hi,

attached emacs-snapshott debdiff for the transition

Regads,

\sh

Changed in emacs-snapshot:
assignee: nobody → shermann
Stephan Ruegamer (sadig) wrote :
Changed in libimager-perl:
assignee: nobody → shermann
status: New → Confirmed
Changed in pslib:
assignee: nobody → shermann
status: New → Confirmed
Stephan Ruegamer (sadig) on 2008-01-10
Changed in simage:
assignee: shermann → nobody
Stephan Ruegamer (sadig) wrote :
Changed in gnustep-gui:
assignee: nobody → shermann
status: New → Confirmed
Changed in openscenegraph:
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package camlimages - 1:2.2.0-2ubuntu1

---------------
camlimages (1:2.2.0-2ubuntu1) hardy; urgency=low

  * libungif4->libgif transition (LP: #174252)
    - debian/control:
      + replaced libungif4-dev with libgif-dev
      + updated maintainer field

 -- Stephan Hermann <email address hidden> Wed, 09 Jan 2008 13:49:35 +0100

Changed in camlimages:
status: Confirmed → Fix Released
Martin Pitt (pitti) wrote :

Nothing to do for ubuntu-archive here. Please resubscribe if there are any syncs to do, etc.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package emacs-snapshot - 1:20071202-1ubuntu2

---------------
emacs-snapshot (1:20071202-1ubuntu2) hardy; urgency=low

  * libgif transition: (LP: #174252)
    - debian/control{.in}:
      - Replaced libungif4-dev with libgif-dev in build-deps

 -- Stephan Hermann <email address hidden> Wed, 09 Jan 2008 19:48:03 +0100

Changed in emacs-snapshot:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gdal - 1.4.4-1ubuntu1

---------------
gdal (1.4.4-1ubuntu1) hardy; urgency=low

  * libungif4-dev -> libgif-dev transition (LP: #174252)
    - debian/control:
      + Replaced all occurances of libungif4-dev with libgif-dev
      + Changed Maintainer field

 -- Stephan Hermann <email address hidden> Wed, 09 Jan 2008 14:14:48 +0100

Changed in gdal:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnustep-gui - 0.12.0-2ubuntu1

---------------
gnustep-gui (0.12.0-2ubuntu1) hardy; urgency=low

  * libgif transition: (LP: #174252)
    - debian/control{.m4}:
      - replaced all libungif4-dev occurances with libgif-dev
      - updated maintainer field

 -- Stephan Hermann <email address hidden> Thu, 10 Jan 2008 17:42:09 +0100

Changed in gnustep-gui:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libimager-perl - 0.58-1ubuntu1

---------------
libimager-perl (0.58-1ubuntu1) hardy; urgency=low

  * libgif transition: (LP: #174252)
    - debian/control:
      + Changed libungif4-dev to libgif-dev
      + Updated maintainer field

 -- Stephan Hermann <email address hidden> Wed, 09 Jan 2008 21:23:22 +0100

Changed in libimager-perl:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pslib - 0.4.1-1ubuntu1

---------------
pslib (0.4.1-1ubuntu1) hardy; urgency=low

  * libgif transition: (LP: #174252)
    - debian/control:
      + Changed all libungif4-dev occurances to libgif-dev
      + Updated maintainer field

 -- Stephan Hermann <email address hidden> Wed, 09 Jan 2008 21:18:44 +0100

Changed in pslib:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wmaker - 0.92.0-6.1ubuntu1

---------------
wmaker (0.92.0-6.1ubuntu1) hardy; urgency=low

  * libungif4-dev -> libgif-dev transition (LP: #174252)
    - debian/control:
      + Replaced all occurances of libungif4-dev with libgif-dev
      + Updated maintainer field

 -- Stephan Hermann <email address hidden> Wed, 09 Jan 2008 14:45:24 +0100

Changed in wmaker:
status: Confirmed → Fix Released
Stephan Ruegamer (sadig) wrote :

 emacs21 (21.4a+1-5ubuntu5) hardy; urgency=low
 .
   * libungif4 -> libgif transition (LP: 174252)
     - debian/control: replaced libungif4-dev with libgif-dev

Changed in emacs21:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package simage - 1.6.1-3ubuntu1

---------------
simage (1.6.1-3ubuntu1) hardy; urgency=low

  * New debian revision, fake sync
  * libungif4 -> libgif transition: (LP: #174252)
    - debian/control:
      + Replaced libungif4-dev with libgif-dev
    - debian/patches/90_ubuntu_libgif.diff:
      + aclocal.m4: Added autofoo macro for detecting libgif
      + configure.ac: Changed libungif detection macro to libgif detection macro
    - debian/patches/91_ubuntu_configure_recreate.diff:
      + Applied diff of autoconf call to regenerate configure
      + Needed because the build system is not used as documented :(
  * Remaining changes:
    - Add Conflicts/Replaces for libsimage20c2

 -- Stephan Hermann <email address hidden> Thu, 10 Jan 2008 21:23:00 +0100

Changed in simage:
status: Confirmed → Fix Released
Stephan Ruegamer (sadig) on 2008-01-11
Changed in metapixel:
status: Confirmed → Fix Released
Stephan Ruegamer (sadig) on 2008-01-11
Changed in mgp:
status: Confirmed → Fix Released
Changed in mtpaint:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package driftnet - 0.1.6-7ubuntu1

---------------
driftnet (0.1.6-7ubuntu1) hardy; urgency=low

  * libungif4 -> libgif transition (LP: #174252)
    - debian/control:
      + Replaced libungif4-dev with libgif-dev
      + Updated Maintainer Field
    - Makefile:
      + replaced -lungif with -lgif
      + removed depend from make target to fix ftbfs

 -- Stephan Hermann <email address hidden> Fri, 11 Jan 2008 14:18:20 +0100

Changed in driftnet:
status: Confirmed → Fix Released
Stephan Ruegamer (sadig) on 2008-01-11
Changed in paintlib:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openscenegraph - 2.2.0-2ubuntu1

---------------
openscenegraph (2.2.0-2ubuntu1) hardy; urgency=low

  * libgif transition: (LP: #174252)
    - debian/control:
      + Changed libungif4-dev | giflib to libgif-dev
      + Updated maintainer field

 -- Stephan Hermann <email address hidden> Wed, 09 Jan 2008 21:31:51 +0100

Changed in openscenegraph:
status: Confirmed → Fix Released
Stephan Ruegamer (sadig) on 2008-01-12
Changed in pgplot5:
assignee: nobody → shermann
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pgplot5 - 5.2.2-11ubuntu1

---------------
pgplot5 (5.2.2-11ubuntu1) hardy; urgency=low

  * libungif4 -> libgif transition: (LP: #174252)
    - debian/control:
      - Changed libungif4-dev to libgif-dev in build-dep and suggests
  * Updated Maintainer field

 -- Stephan Hermann <email address hidden> Sat, 12 Jan 2008 21:56:18 +0100

Changed in pgplot5:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-libs - 1.4.2-37ubuntu1

---------------
gnome-libs (1.4.2-37ubuntu1) hardy; urgency=low

  * libungif4 -> libgif transition: (LP: #174252)
    - debian/control:
      - Changed libungif4-dev to libgif-dev in build-dep
  * Updated Maintainer field

 -- Stephan Hermann <email address hidden> Sat, 12 Jan 2008 22:46:28 +0100

Changed in gnome-libs:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fsviewer - 0.2.5-6ubuntu1

---------------
fsviewer (0.2.5-6ubuntu1) hardy; urgency=low

  * libungif -> libgif transition: (LP: #174252)
    - debian/control:
      + Changed libungif4-dev to libgif-dev
  * Updated maintainer field

 -- Stephan Hermann <email address hidden> Sat, 12 Jan 2008 22:48:42 +0100

Changed in fsviewer:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libming - 0.3beta1+cvs20051127-1ubuntu1

---------------
libming (0.3beta1+cvs20051127-1ubuntu1) hardy; urgency=low

  * libungif4 -> libgif transition: (LP: #174252)
    - debian/control:
      + Changed libungif4-dev to libgif-dev
  * Updated Maintainer field

 -- Stephan Hermann <email address hidden> Sat, 12 Jan 2008 22:52:52 +0100

Changed in libming:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xkbsel - 0.13-13.3ubuntu2

---------------
xkbsel (0.13-13.3ubuntu2) hardy; urgency=low

  * libungif -> libgif transition: (LP: #174252)
    - debian/control:
      + Changed libungif4-dev to libgif-dev
  * Updated Maintainer field

 -- Stephan Hermann <email address hidden> Sat, 12 Jan 2008 22:55:07 +0100

Changed in xkbsel:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnucash - 2.2.1-1ubuntu6

---------------
gnucash (2.2.1-1ubuntu6) hardy; urgency=low

  * libungif4-dev -> libgif transition: (LP: #174252)
    - debian/control{.*}:
      - Changed libungif4-dev to libgif-dev

 -- Stephan Hermann <email address hidden> Sat, 12 Jan 2008 22:33:24 +0100

Changed in gnucash:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wdm - 1.28-2.3ubuntu1

---------------
wdm (1.28-2.3ubuntu1) hardy; urgency=low

  * libungif4 -> libgif transition (LP: #174252)
    - debian/control:
      + Changed libungif4-dev to libgif-dev
  * Updated Maintainer field

 -- Stephan Hermann <email address hidden> Sat, 12 Jan 2008 22:57:35 +0100

Changed in wdm:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ted - 2.17-1ubuntu1

---------------
ted (2.17-1ubuntu1) hardy; urgency=low

  * libungif4 -> libgif transition: (LP: #174252)
    - debian/control:
      + Changed libungif4-dev to libgif-dev
  * Updated Maintainer Field

 -- Stephan Hermann <email address hidden> Sat, 12 Jan 2008 23:09:45 +0100

Changed in ted:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kaffe - 2:1.1.8-3ubuntu1

---------------
kaffe (2:1.1.8-3ubuntu1) hardy; urgency=low

  * libungif4 -> libgif transition: (LP: #174252)
    - debian/control:
      + Changed libungif4-dev to libgif-dev
  * Updated Maintainer field

 -- Stephan Hermann <email address hidden> Sat, 12 Jan 2008 23:12:21 +0100

Changed in kaffe:
status: New → Fix Released
Siegfried Gevatter (rainct) wrote :
Changed in motioneye:
assignee: nobody → rainct
status: New → Confirmed
Stephan Ruegamer (sadig) wrote :

RainCT,

thx for the debdiff, but the tightend build-dep is not necessary for motioneye.
Could you change your debdiff to represent a source rebuild only?

It just needs a -XbuildY revision and the changelog needs to be changed to explain this...

Thx :)

\sh

Stephan Ruegamer (sadig) on 2008-01-17
Changed in mozart-gtk:
assignee: nobody → shermann
status: New → Confirmed
Changed in aterm:
assignee: nobody → shermann
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package aterm - 1.0.1-2build2

---------------
aterm (1.0.1-2build2) hardy; urgency=low

  * libungif4 -> libgif transition: (LP: #174252)
    - rebuild only to catch the new deps

 -- Stephan Hermann <email address hidden> Thu, 17 Jan 2008 15:06:07 +0100

Changed in aterm:
status: Confirmed → Fix Released
Siegfried Gevatter (rainct) wrote :
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package motioneye - 1.2-3build1

---------------
motioneye (1.2-3build1) hardy; urgency=low

  * Rebuild against imblib11-dev (>=1.9.15-5ubuntu2) for
    transition to libgif (LP: #174252).

 -- Siegfried-Angel Gevatter Pujals (RainCT) <email address hidden> Wed, 16 Jan 2008 18:26:36 +0100

Changed in motioneye:
status: Confirmed → Fix Released
Richard Johnson (nixternal) wrote :

kdepim-kde4 will eventually get fixed when we get a new kdepim-kde4 release, which is looking like 4.1.

Changed in kdepim-kde4:
assignee: nobody → nixternal
importance: Undecided → Low
status: New → Confirmed
zypres (kyrreso) wrote :

I got a big "dependencies"-problem with this with the upgrade to KDE4.0.2 on gutsy today.
Might be caused by many sources, but disabling others than official and the kde4-members-ppa still gives me the error.
http://paste.ubuntu-nl.org/58427/
in short: "Depends: libungif4g (>= 4.1.4) but it is not installable"

zypres, this appears to be a problem with the Kubuntu packages for gutsy: It seems that they are using the depends from Hardy already.

Philippe Piquer (philippep62) wrote :

Same problem as zypres, updating PPA's KDE4 again wants to get rid of multiples software which depends on libungif4 and has to be removed by the update

Terence Simpson (tsimpson) wrote :

The problem with the PPA should be fixed now

Fuji (rfujimoto) wrote :

After upgrading the KDE4.0.2 packages, I cannot log in to KDE4 anymore and had to fall back to fluxbox. After I logged out KDM (the kde4 version) reported that KDE4 is not a valid session.

amd64 Gusty

Martin Pitt (pitti) wrote :

libungif4 source does not exist any more in Hardy. Its binaries have been replaced with transitional packages from the giflib source.

Changed in libungif4:
status: In Progress → Fix Released
Matti Lindell (mlind) wrote :

mozart-gtk not in Hardy anymore.

Changed in mozart-gtk:
status: Confirmed → Invalid
Terence Simpson (tsimpson) wrote :

kdepim-kde4 not in Hardy anymore

Changed in kdepim-kde4:
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.